<?php
/***************************************************************
*  Copyright notice
*
*  (c) 2009 Andr Simmert <andre.simmert@weber-ebusiness.de>
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

require_once(PATH_typo3conf.'ext/wes_utils/class.wes_pibase.php');


/**
 * Plugin 'WEBERkommunal Reader' for the 'wes_reader' extension.
 *
 * @author	Andr Simmert <andre.simmert@weber-ebusiness.de>
 * @package	TYPO3
 * @subpackage	tx_wesreader
 */
class tx_wesreader_pi1 extends wes_pibase
{
    var $prefixId      = 'tx_wesreader_pi1';		// Same as class name
    var $scriptRelPath = 'pi1/class.tx_wesreader_pi1.php';	// Path to this script relative to the extension dir.
    var $extKey        = 'wes_reader';	// The extension key.

	
	/**
	 * The main method of the PlugIn
	 *
	 * @param	string		$content: The PlugIn content
	 * @param	array		$conf: The PlugIn configuration
	 * @return	The content that is displayed on the website
	 */
	function main($content,$conf)
    {
        // Disable Caching (Remove when development is finished)
        //$GLOBALS['TSFE']->set_no_cache();

        parent::main($content, $conf);

        // Get the content
        $content = $this->getReader();

        return $content;
	}
	
	
	function getReader()
	{
        $templateFile = $this->cObj->fileResource($this->conf['template.']['file.']['reader']);
        $templateType = $this->getTemplateType('reader');
        $content = $this->cObj->getSubpart($templateFile, '###' . $templateType . '###');

        // Set Link
        $linkUrl = 'http://www.linguatec.net/vrweb/popup1' .
                   '?srcurl=' . urlencode($this->currentURL()) .
                   '&guilang=' . $this->conf['guilang'] .
                   '&lang=' . $this->conf['lang'] .
                   '&readcontent=elements' .
                   '&srctype=html' .
                   '&srccharset=' . $this->conf['encoding'] .
                   '&readelementsclass=' . $this->conf['class2read'] .
                   '&customerid=' . $this->pi_getFFvalue($this->flexform, 'field_customerId') .
                   '&cache=0' .
                   '&sndpitch=100' .
                   '&sndspeed=100' .
                   '&sndtype=1' .
                   '&sndquality=4' .
                   '&sndgender=W' .
                   '&simpleparse=0';

        $this->setLinkMarkers(
            $content,
            array(
                'parameter' => $linkUrl . ' ' . $this->conf['popup.']['width'] . 'x' . $this->conf['popup.']['height'],
                'JSwindow_params' => 'status=no,scrollbars=no,resizable=no'
            )
        );

        return $content;
    }
}



if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/wes_reader/pi1/class.tx_wesreader_pi1.php'])	{
	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/wes_reader/pi1/class.tx_wesreader_pi1.php']);
}

?>
